<?php
/**
 * 404 Page
 *
 * @package billiard
 * @since 1.0
 *
 */

$billiard = billiard_site_options();
$error_title = $billiard['error_title'] != '' ? $billiard['error_title'] : esc_html__( 'Page not found', 'billiard' );
$error_subtitle = $billiard['error_subtitle'] != '' ? $billiard['error_subtitle'] : esc_html__( 'Please try one of the following pages:  ', 'billiard' );
$error_btn_text = $billiard['error_btn_text'] != '' ? $billiard['error_btn_text'] : esc_html__( 'Take me home', 'billiard' );
get_header();
$img_banner_err = cs_get_option('baner_img_error');
$img_banner_err = (!empty($img_banner_err))? 'style=background-image:url('.wp_get_attachment_image_src($img_banner_err, 'full' )[0].');' : '';
$color_text = (isset( $billiard['color_text_style'] ) && $billiard['color_text_style']=='light') ? 'text-light' : '';
?>

	<div class="page-body" <?php echo esc_attr($img_banner_err); ?>>
		<div class="not-found">
			<div class="not-found-title <?php echo esc_attr($color_text); ?>">
				<span><?php esc_html_e( '404', 'billiard' ); ?></span>
				<h1><?php echo esc_html( $error_title ); ?></h1>
				<h4><?php echo esc_html( $error_subtitle ); ?></h4>
			</div>
			<a href="<?php echo esc_url( home_url( '/' ) ); ?>"><?php echo esc_html( $error_btn_text ); ?></a>
		</div>
	</div>
<?php get_footer(); ?>