<?php
/**
 * Billiard Comment Form
 *
 * @package billiard
 * @since 1.0.0
 * @version 1.0.0
 */

if ( post_password_required() ) { return; }
?>
<div class="row">
    <div class="col-md-12">
        <div class="comments" id="comments">
            <?php if(get_comments_number()>0) { ?>
                <h3 class="comments__title"><?php echo esc_html( get_comments_number() );?> <?php esc_html_e('COMMENTS', 'billiard'); ?></h3>
            <?php } ?>

            <?php 
                wp_list_comments( array( 
                    'callback' => 'billiard_comment',
                    'short_ping'  => true,
                ) ); 
            ?>

            <?php if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) : ?>

                <nav id="comment-nav-below" class="navigation comment-navigation" role="navigation">
                    <h1 class="screen-reader-text"><?php esc_html_e( 'Comment navigation', 'billiard' ); ?></h1>
                    <div class="nav-previous"><?php previous_comments_link( esc_html__( '&larr; Older Comments', 'billiard' ) ); ?></div>
                    <div class="nav-next"><?php next_comments_link( esc_html__( 'Newer Comments &rarr;', 'billiard' ) ); ?></div>
                </nav>
            <?php endif; ?>

        </div>
    </div>
    <div class="col-md-12">
        <h3 class="contact-form"><?php esc_html_e('Leave your comments', 'billiard'); ?></h3>
        <?php
        comment_form(
            array(
                'id_form'              => 'comment-form',
                'fields'               => array(
                    'author'            => '<input name="author" type="text" placeholder="' . esc_html__( 'Your name', 'billiard') . '" required />',
                    'email'             => '<input name="email" type="email" placeholder="' . esc_html__( 'Your email', 'billiard') . '" required />',
                    ),
                'comment_field'        => '<textarea cols="30"  name="comment" rows="10" placeholder="' . esc_html__( 'Comment', 'billiard') . '" required></textarea>',
                'must_log_in'          => '',
                'logged_in_as'         => '',
                'comment_notes_before' => '',
                'comment_notes_after'  => '',
                'title_reply'          => '',
                'title_reply_to'       => esc_html__('Leave a Reply to %s', 'billiard' ),
                'cancel_reply_link'    => esc_html__('Cancel', 'billiard' ),
                'label_submit'         => esc_html__('SEND', 'billiard' ),
                'submit_button'        => '<input name="%1$s" type="submit" id="%2$s" class="%3$s-btn" value="%4$s" />',
                'submit_field'         => '%1$s %2$s',
                )
            );
            ?>
        </div>

    </div>