<?php
/**
 *
 * The Header for our theme
 * @since 1.0.0
 * @version 1.0.0
 *
 */
$billiard = billiard_site_options();

$header_class = ( ! isset( $billiard['fixed_header'] ) || $billiard['fixed_header'] ) ? '' : 'not-fixed'; 
$header_class .= ( isset( $billiard['menu_style'] ) && $billiard['menu_style'] == 'top_logo') ? ' centered' : '';

$billiard = billiard_site_options();
?>
<!DOCTYPE html>
<html <?php language_attributes(); ?>>
    <head>
        <meta charset="<?php bloginfo('charset'); ?>">
        <meta name="apple-mobile-web-app-capable" content="yes" />
        <meta name="viewport" content="initial-scale=1.0, width=device-width">
        <meta name="format-detection" content="telephone=no" />
        <?php if ( ( ! function_exists( 'has_site_icon' ) || ! has_site_icon() ) && ! empty( $billiard['site_favicon'] ) ) { ?>
            <link href="<?php echo esc_attr( $billiard['site_favicon'] );?>" rel="shortcut icon" />
        <?php } ?>
        <?php wp_head(); ?>
    </head>
    <body <?php body_class(); ?>>
    <?php if((isset( $billiard['preloader'] ) && $billiard['preloader'])) { ?>
        <div class="preloader">
            <div id="cssload-contain">
                <div class="cssload-loading">
                    <div class="cssload-loading-circle cssload-loading-row1 cssload-loading-col3"></div>
                    <div class="cssload-loading-circle cssload-loading-row2 cssload-loading-col2"></div>
                    <div class="cssload-loading-circle cssload-loading-row2 cssload-loading-col3"></div>
                    <div class="cssload-loading-circle cssload-loading-row2 cssload-loading-col4"></div>
                    <div class="cssload-loading-circle cssload-loading-row3 cssload-loading-col1"></div>
                    <div class="cssload-loading-circle cssload-loading-row3 cssload-loading-col2"></div>
                    <div class="cssload-loading-circle cssload-loading-row3 cssload-loading-col3"></div>
                    <div class="cssload-loading-circle cssload-loading-row3 cssload-loading-col4"></div>
                    <div class="cssload-loading-circle cssload-loading-row3 cssload-loading-col5"></div>
                    <div class="cssload-loading-circle cssload-loading-row4 cssload-loading-col2"></div>
                    <div class="cssload-loading-circle cssload-loading-row4 cssload-loading-col3"></div>
                    <div class="cssload-loading-circle cssload-loading-row4 cssload-loading-col4"></div>
                    <div class="cssload-loading-circle cssload-loading-row5 cssload-loading-col3"></div>
                </div>
            </div>
        </div>
    <?php } ?>
    <div class="site-content">
        <header class="<?php echo esc_attr( $header_class ); ?> main-header">
            <div class="container no-padding">
                <div class="header">
                    <div class="logo">
                        <a href="<?php echo esc_url( home_url( '/' ) );?>" class="table-cell">
                            <?php billiard_logo(); ?>
                        </a>
                    </div>
                    <div class="navigation">
                        <nav class="menu">
                            <?php billiard_custom_menu(); ?>
                        </nav>
                        <div class="nav-menu-icon">
                            <a href="#" class="table-cell"><i></i></a>
                        </div>
                    </div> 
                     <?php if ( in_array( 'woocommerce/woocommerce.php', apply_filters( 'active_plugins', get_option( 'active_plugins' ) ) ) ): ?>
                        <div class="nav-menu__tray js-menu__tray js-elem" data-elem='.mini-cart-wrap'>
                            <a href="#" class="mini-cart-link">
                                <span class="icon-cart"><i class="fa fa-shopping-cart" aria-hidden="true"></i></span>
                                <div class="count-wrap">
                                    <span class="icon-cart-count"><?php echo WC()->cart->get_cart_contents_count(); ?></span>
                                </div>
                            </a>
                            <div class="mini-cart-wrap js-inner-elem">
                                <?php billiard_mini_cart(); ?>
                            </div>
                        </div>
                    <?php endif; ?>  
                </div>
            </div>   
        </header>