<?php
/**
 * Index Page
 *
 * @package billiard
 * @since 1.0.0
 *
 */

$billiard = billiard_site_options();
if( ! isset( $billiard['blog_style'] ) ) {
	$billiard['blog_style'] = 'classic';
}
get_header(); 
$img_banner_src = cs_get_option('baner_img_blog');

$img_banner_src = (!empty($img_banner_src))? 'style=background-image:url('.wp_get_attachment_image_src($img_banner_src, 'full' )[0].');' : '';
$width_class = array(
    '1' => ' col-xs-12',
    '1/6' => ' col-sm-6 col-xs-12 no-padding-xs',
    '1/4' => ' col-md-4 col-sm-6 col-xs-12  col-md-4 col-sm-6 col-xs-12 no-padding-xs',
    '1/3' => ' col-md-3 col-sm-6 col-xs-12 no-padding-xs'
);
$width_index = cs_get_option('width_blog')? cs_get_option('width_blog'): '1';
?>
<div class="content page-body">

	<div class="top-baner blog-banner top-baner--full-overlay height-500" <?php echo esc_attr($img_banner_src); ?>>
		<div class="main-title vert-center">
			<div class="wrap-text">
				<?php if(cs_get_option('subtitle_blog_banner')) { ?>
					<div class="desc"><?php echo cs_get_option('subtitle_blog_banner'); ?></div>
				<?php } ?>
				<?php if(cs_get_option('title_blog_banner')) { ?>
					<h2 class="type-2"><?php echo cs_get_option('title_blog_banner'); ?></h2>
				<?php } ?>
				<?php if(!class_exists('CSFramework')) { ?>
					<h2 class="type-2"><?php esc_html_e('Blog', 'billiard'); ?></h2>
				<?php } ?>
			</div>
		</div>
	</div>

	<div class="main-wrapp<?php echo ( ! empty( $billiard['gray_blog'] ) ) ? esc_attr(' ' . $billiard['gray_blog']) : ''; ?>">
		<div class="<?php echo ( ! empty( $billiard['full_width_blog'] ) ) ? esc_attr('container-fluid') : ''; ?>">
			<div class="padd-80">
				<?php if ( ! isset( $billiard['blog_style'] ) || $billiard['blog_style'] != 'columns' ) { ?><div class="container"><?php } ?>
   	         	<div class="row">

                <!-- Sidebar -->
                  <?php if ( ! isset($billiard['blog_sidebar']) ||  $billiard['blog_sidebar'] == true ): ?>
                    <div class="col-md-4">
                      <div class="sidebar">
                          <?php if ( ! function_exists( 'dynamic_sidebar' ) || ! dynamic_sidebar('sidebar') ); ?>
                      </div>
                    </div>
                  <?php endif ?>

   	         		<div class="col-md-<?php echo (isset($billiard['blog_sidebar']) && $billiard['blog_sidebar'] == false) ? esc_attr('12') : esc_attr('8 sidebar-show'); ?> no-padding">
	   	         			<?php if ( have_posts() ) : ?>

		   	         			<!-- Classic blog -->
		   	         			<?php if ( ! isset( $billiard['blog_style'] ) || $billiard['blog_style'] == 'classic' ): ?>
	   	         				<?php 
	   	         				$i=0;
	   	         				while ( have_posts() ) : the_post();
	   	         				$i++; ?>
		   	         				<div <?php post_class('blog-post item '.$width_class[$width_index]); ?>>
		   	         					<?php get_template_part( 'post-formats/post', 'default' ); ?>
		   	         				</div>
		   	         				<?php if( ($i%3==0 && cs_get_option('width_blog')=='1/4') || ($i%2==0 && cs_get_option('width_blog')=='1/6')) { 
										echo "<div class='clearfix hidden-sm hidden-xs'></div>";
									} 
									if(($i%2==0 && cs_get_option('width_blog')=='1/4') || ($i%2==0 && cs_get_option('width_blog')=='1/6')) {
										echo "<div class='clearfix hidden-md hidden-lg'></div>";
									}
									?>

		   	         			<?php 
		   	         			endwhile ?>
	   	         			<?php endif ?>
	   	         			<!-- Masonry blog -->
	   	         			<?php if ( $billiard['blog_style'] == 'masonry' ): ?>
	   	         				<div class="izotope-container gutt-col3">
									<div class="grid-sizer"></div>
									<?php while ( have_posts() ) : the_post(); ?>
		   	         					<?php get_template_part( 'post-formats/post', 'izotope' ); ?>
	    							<?php endwhile ?>
	    						</div>
	   	         			<?php endif ?>
	   	         			<!-- Columns blog -->
	   	         			<?php if ( $billiard['blog_style'] == 'columns' ): ?>
	   	         				<div class="izotope-container gutt-col4">
				     				<div class="grid-sizer"></div>
				     				<?php while ( have_posts() ) : the_post(); ?>
		   	         					<?php get_template_part( 'post-formats/post', 'izotope' ); ?>
	    							<?php endwhile ?>
	    						</div>
	   	         			<?php endif ?>

	   	         			<!-- Pager -->
		   	         		<?php 
						    $paginate_links = paginate_links();
						    if ( $paginate_links && ( ! isset( $billiard['blog_pager'] ) || $billiard['blog_pager'] ) ) { ?>
						        <div id="pager">
						            <?php print $paginate_links; ?>
						        </div>
						    <?php } ?>
						    
						    <!-- Empty post result -->
						<?php else : ?>

							<div id="empty-search-result">
							    <p><?php esc_html_e('Sorry, no posts matched your criteria.', 'billiard' ); ?></p>
							    <?php get_search_form( true ); ?>
							</div>

						<?php endif; ?>
   	         		</div>
   	         	</div>
   	         	<?php if ( ! isset( $billiard['blog_style'] ) || $billiard['blog_style'] != 'columns' ) { ?></div><?php } ?>
   	        </div>
		</div>
	</div>
</div>

<?php get_footer(); ?>
