<?php
/**
 * Custom Page Template
 *
 * @package billiard
 * @since 1.0.0
 *
 */

get_header();
while ( have_posts() ) : the_post();
$meta = get_post_meta( get_the_ID(), 'billiard_page_options', true );
$bg = ( isset( $meta['page_bg_color'] ) && $meta['page_bg_color'] == 'gray' ) ? 'bg-grey' : '';
$content_class = ( isset( $meta['sidebar'] ) && $meta['sidebar'] == true ) ? 8 : 12;
$content = get_the_content();
if ( (! isset($billiard['single_sidebar']) ||  $billiard['single_sidebar'] == true) && !is_cart() && !is_checkout() ) {
	$sidebar = true;
} else {
	$sidebar = false;
}
if ( ! stristr( $content, 'vc_' ) ) { ?>


<div class="content <?php echo esc_attr( $bg ); ?>">
	<div class="container page-body no-padding">
		<div class="main-wrapp">
			<div class="container no-padding">
				<div class="row">
					<div class="col-md-<?php echo ($sidebar) ? esc_attr('8') : esc_attr('12'); ?>">
						<div class="page-content">
							<div class="article-title">
								<h2 class="title"><?php the_title(); ?></h2>
							</div>
							<?php if(!is_cart() && !is_checkout()) { ?>
								<div class="page-details">
									<span class="date"><i class="fa fa-calendar-o"></i> <?php the_time( get_option('date_format') ); ?></span>
								</div>
							<?php } ?>
							<div class="simple-page-content">
								<?php the_content(); ?>
							</div>
						</div>
						<?php if ( comments_open() ): ?>
							<?php comments_template( '', true ); ?>
						<?php endif; ?>
					</div>
					<?php if ( $sidebar ): ?>
						<div class="col-md-4">
							<div class="sidebar">
								<?php if ( ! function_exists( 'dynamic_sidebar' ) || ! dynamic_sidebar('sidebar') ); ?>
							</div>
						</div>
					<?php endif ?>
				</div>
                <div class="page-navigator">
					<?php wp_link_pages(); ?>
                </div>
			</div>
		</div>
	</div>
</div>
<?php } else { ?>
<div class="content <?php echo esc_attr( $bg ); ?>">
	<div class="container page-body no-padding">
		<?php the_content(); ?>
	</div>
</div>
<?php } ?>
<?php endwhile; ?>
<?php get_footer(); ?>