<?php
/**
 * Post format
 *
 * @package billiard
 * @since 1.0
 *
 */

$post_id = get_the_ID();
$billiard = billiard_site_options();
$meta = get_post_meta( $post_id, 'billiard_post_options', true );
$item_class = ( isset( $meta['post_preview_style'] ) && $meta['post_preview_style'] == 'image' ) ? ' blog-item-bg' : '';
$comments_count = wp_count_comments( $post_id ); 
$show_post_info = false;
if( ! isset( $billiard['post_comments_list'] ) || ! isset( $billiard['post_count_views_list'] ) || ! isset( $billiard['post_author_list'] ) || ! isset( $billiard['post_date_list'] ) ) {
	$show_post_info = true;
} else {
	if( $billiard['post_comments_list'] || $billiard['post_count_views_list'] || $billiard['post_author_list'] || $billiard['post_date_list'] ) {
		$show_post_info = true;
	}
} 
$hidden = '';
if( ! $show_post_info ) {
	$hidden = ' hidden-info '; 
} ?>
<div <?php post_class( 'blog-item item wow fadeInUpBig' . esc_attr( $item_class ) . esc_attr( $hidden ) ); ?>>
	<?php echo billiard_get_post_preview_header( 'isotope', $meta, $post_id ); ?>
	<?php if($item_class) { ?><div class="full-img"><?php } ?>
	<div class="blog-item-text">
		<?php if ( $show_post_info ): ?>
		  	<div class="top-bar">
			  	<?php if ( ! isset( $billiard['post_author_list'] ) || $billiard['post_author_list'] ): ?>
			  	 	<?php the_author_posts_link(); ?>
		  	 	<?php endif ?>
		  	 	<?php if ( ! isset( $billiard['post_date_list'] ) || $billiard['post_date_list'] ): ?>
		  	 		<span><?php the_time( 'd/m/Y' ); ?></span>
		  	 	<?php endif ?>
		  	 	<?php if ( ! isset( $billiard['post_count_views_list'] ) || $billiard['post_count_views_list'] ): ?>
		  	 		<span><?php echo billiard_get_post_views( get_the_ID() ); ?> <?php esc_html_e( 'Views', 'billiard' ); ?></span>
		  	 	<?php endif ?>
		  	 	<?php if ( ! isset( $billiard['post_comments_list'] ) || $billiard['post_comments_list'] ): ?>
		  	 	<a href="<?php the_permalink(); ?>#comments"><?php echo esc_html( $comments_count->total_comments );?> <?php esc_html_e( 'COMM', 'billiard' ); ?></a>
		  	 	<?php endif ?>
		  	</div>
		<?php endif ?>
		<a href="<?php the_permalink(); ?>"><h4><?php the_title(); ?></h4></a>
	  	<?php the_excerpt(); ?>
	</div>
	<?php if($item_class) { ?></div><?php } ?>
</div>