<?php
/**
 * Single post
 *
 * @package billiard
 * @since 1.0.0
 *
 */

$billiard = billiard_site_options();
$show_post_info = false;
$unit_sidebar = ( ! class_exists('Billiard_Plugins') ) ? 4 : 3; 
$unit_sidebar_class = ( ! class_exists('Billiard_Plugins') ) ? 8 : 9; 
if( ! isset( $billiard['post_comments_detail'] ) || ! isset( $billiard['post_count_views_detail'] ) || ! isset( $billiard['post_author_detail'] ) || ! isset( $billiard['post_date_detail'] ) ) {
	$show_post_info = true;
} else {
	if( $billiard['post_comments_detail'] || $billiard['post_count_views_detail'] || $billiard['post_author_detail'] || $billiard['post_date_detail'] ) {
		$show_post_info = true;
	}
}
if ( ( ! isset( $billiard['single_sidebar'] )  && is_active_sidebar( 'sidebar' ) ) || ( isset( $billiard['single_sidebar'] ) && $billiard['single_sidebar'] == true && is_active_sidebar( 'sidebar' ) ) && !is_singular('portfolio') ) {
	$sidebar = true;
} else {
	$sidebar = false;
}
get_header(); ?>

<?php if ( class_exists( 'Billiard_Plugins' ) && has_post_thumbnail() ) : ?>
	<div class="top-baner blog-banner top-baner--full-overlay height-500" style="background-image: url( <?php echo get_the_post_thumbnail_url(); ?>);"></div>
<?php endif ; ?>

<div class="container page-body no-padding">

	<?php 
		while ( have_posts() ) : the_post(); 
		$post_id = get_the_ID();
		billiard_set_post_views( $post_id );
		$comments_count = wp_count_comments( $post_id );
		$meta_data = get_post_meta( $post_id, 'billiard_post_options', true );
	?>
	<div class="main-wrapp"> 
		<div class="single-post-content">
			<div class="row">
				
				<div class="<?php echo ($sidebar)? 'col-md-push-' . $unit_sidebar : ''; ?> col-md-<?php echo ($sidebar)? esc_attr( $unit_sidebar_class ) : esc_attr('12'); ?>">
					<div class="blog-post item">

						<?php if ( ! class_exists( 'Billiard_Plugins' ) && has_post_thumbnail() ) : ?>
							<?php the_post_thumbnail('full', array('class' => 'unit_img_single') ); ?>
						<?php endif ; ?>

						<?php if ( isset( $meta_data['detailed'] ) && $meta_data['detailed'] ): ?>
							<?php billiard_get_post_header( $meta_data, $post_id ); ?>
						<?php endif ?>

						
						<?php if ( $show_post_info ): ?>
							<div class="post-preview-left">
								<?php if( ! class_exists( 'Billiard_Plugins' ) ) { ?>
									<div class="post-previews post-preview-category">
										<span><?php esc_html_e( 'In:', 'billiard' ); ?></span>
										<div class="blog-post__category"><?php the_category( ', ' ); ?></div>
									</div>
								<?php } ?>
								<div class="left-preview">
									<div class="post-previews post-preview-tags">
										<div class="tags-button">
											<?php the_tags( '', '' );?>
										</div>
									</div>
								</div>
								<div class="right-preview">
									<div class="post-previews post-preview-author">
										<span><?php esc_html_e('By', 'billiard'); ?></span>
										<div class="author">
											<?php the_author();?>
										</div>
									</div>
									<div class="post-previews post-preview-date">
										<span>&middot;</span>
										<div class="blog-post__date"><?php the_time( get_option( 'date_format' ) ); ?></div>
									</div>
								</div>
							</div>
							<div class="post-preview-right post-preview-right--single-post">
								<h4><?php the_title(); ?></h4>
								<?php the_content(); ?>
								<?php wp_link_pages('before=<div id="pager" class="post-nav"> <span>' . esc_html__( "Page:", "billiard" ) . ' </span> &after=</div>'); ?>
								<?php if ( comments_open() || get_comments_number() ): ?>
									<?php comments_template( '', true ); ?>
								<?php endif; ?>
							</div>
						<?php endif ?>
					</div>
				</div>
				<?php if ($sidebar): ?>
					<!-- Sidebar -->
					<div class="col-md-<?php echo esc_attr($unit_sidebar); ?> <?php echo ( $sidebar ) ? 'col-md-pull-' . $unit_sidebar_class : ''; ?>">
						<div class="sidebar">
							<?php if ( ! function_exists( 'dynamic_sidebar' ) || ! dynamic_sidebar('sidebar') ); ?>
						</div>    
					</div>
					<!-- End sidebar -->
				<?php endif ?>
				

				</div> 
			</div>
		</div>
	<?php endwhile; ?>
</div>
<?php get_footer(); ?>
