<?php

/**
 * Content wrappers
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/global/wrapper-start.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see 	    https://docs.woocommerce.com/document/template-structure/
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     3.3.0
 */

if (!defined('ABSPATH')) {
	exit; // Exit if accessed directly
}

// Single no-padd class
$no_padd_product = (is_shop()) ? ' no-padd' : '';

$no_padd_category = !is_product() ? ' no-padd' : '';

$class_col = 'col-md-12 no-padding ' . $no_padd_category;
$img_banner_src = cs_get_option('shop_heading_image');
$img_banner_src = (!empty($img_banner_src)) ? 'style=background-image:url(' . wp_get_attachment_image_src($img_banner_src, 'full')[0] . ');' : '';


?>

<?php if (cs_get_option('shop_heading_subtitle') || cs_get_option('shop_heading_title') || $img_banner_src) { ?>
	<div class="top-baner blog-banner woocommerce-banner top-baner--full-overlay height-500" <?php echo esc_attr($img_banner_src); ?>>
		<div class="main-title vert-center">
			<div class="wrap-text">
				<?php if (cs_get_option('shop_heading_subtitle')) { ?>
					<div class="desc"><?php echo cs_get_option('shop_heading_subtitle'); ?></div>
				<?php } ?>
				<?php if (cs_get_option('shop_heading_title')) { ?>
					<h2 class="type-2"><?php echo cs_get_option('shop_heading_title'); ?></h2>
				<?php } ?>
			</div>
		</div>
	</div>
<?php } ?>

<div id="container" class="container content-woocommerce-page no-padd">
	<div class="row">
		<div class="<?php echo esc_attr($class_col . $no_padd_product); ?> ">
			<div id="content" role="main">