<?php
/**
 * Single Product Meta
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/single-product/meta.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see 	    https://docs.woocommerce.com/document/template-structure/
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     3.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

global $post, $product;
$cat_count = is_array( get_the_terms( $post->ID, 'product_cat' ) ) ? sizeof( get_the_terms( $post->ID, 'product_cat' ) ) : 0;

$tag_count = is_array( get_the_terms( $post->ID, 'product_tag' ) ) ? sizeof( get_the_terms( $post->ID, 'product_tag' ) ) : 0;

?>
<div class="product_meta">

	<?php do_action( 'woocommerce_product_meta_start' ); ?>

	<?php if ( wc_product_sku_enabled() && ( $product->get_sku() || $product->is_type( 'variable' ) ) ) : ?>
		<span class="stock">
			<?php 
				if($product->is_in_stock()) {
					esc_html_e('In Stock - ', 'billiard');
				} else {
					esc_html_e('Out of Stock - ', 'billiard');
				}	
			?>
		</span>
		<span class="sku_wrapper"><?php _e( 'SKU:', 'billiard' ); ?> <span class="sku" itemprop="sku"><?php echo ( $sku = $product->get_sku() ) ? $sku : __( 'N/A', 'billiard' ); ?></span></span>

	<?php endif; ?>
	<br>

	<?php echo wc_get_product_category_list( $product, ', ', '<span class="posted_in">' . _n( 'Category:', 'Categories:', $cat_count, 'billiard' ) . ' ', '</span>' ); ?>

	<?php echo wc_get_product_tag_list( $product, ', ', '<span class="tagged_as">' . _n( 'Tag:', 'Tags:', $tag_count, 'billiard' ) . ' ', '</span>' ); ?>

	<?php do_action( 'woocommerce_product_meta_end' ); ?>

</div>
