<?php
/**
 * Related Products
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/single-product/related.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see 	    https://docs.woocommerce.com/document/template-structure/
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     3.9.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

global $post, $product, $woocommerce_loop;

if ( empty( $product ) || ! $product->exists() ) {
	return;
}

if ( $related_products ) : ?>
    

    	<div class="related products">

    		<div class="container">
                <h2><?php _e( 'Related Products', 'billiard' ); ?></h2>

            <?php woocommerce_product_loop_start(); ?>

                <div class="shop-list">
                    <ul class="products items slider-wrap">
                        <div class="swiper-container blr-product-slider" data-autoplay="" data-touch="1" data-mouse="0" data-slides-per-view="responsive" data-loop="1" data-add-slides="3" data-speed="500" data-mode="horizontal" data-xs-slides="1" data-sm-slides="3" data-md-slides="3" data-lg-slides="3">
                            <div class="swiper-wrapper">
                                <?php

                                foreach ( $related_products as $related_product ) : ?>

                                    <?php
	                                    $post_object = get_post( $related_product->get_id() );
                                        setup_postdata( $GLOBALS['post'] =& $post_object ); 
                                    ?>
                                
                                    <div class="swiper-slide"> 

                                        <li <?php post_class( 'col-gutter-4 item' ); ?>>

                                            <!-- Product image -->
                                            <div class="product-img">

                                                <!-- Sale marker -->
                                                <?php if ( $product->is_on_sale() ) : ?>
                                                    <?php echo apply_filters( 'woocommerce_sale_flash', '<span class="onsale">' . __( 'Sale', 'billiard' ) . '</span>', $post, $product ); ?>
                                                <?php endif; ?>


                                                <div class="hover-img dark">
                                                    <a href="<?php the_permalink(); ?>" class="link-detail">
                                                        <!-- Add to cart button -->
                                                        <div class="img-product related-product">
                                                            <?php echo woocommerce_get_product_thumbnail('full'); ?>
                                                        </div>
                                                        
                                                    </a>
                                                </div>
                                            </div> 
                                           

                                            <!-- Product info -->
                                            <div class="product-info">
                                                <div class="product-info-content">
                                                    <h4 class="product-title">
                                                        <a href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
                                                    </h4>
                                                    <?php wc_get_template( 'loop/price.php' ); ?>
                                                </div>
                                            </div>
                                            <div class="button-cart">
                                                <?php do_action( 'woocommerce_after_shop_loop_item' ); ?>
                                            </div>

                                        </li>
                                    </div>

                                <?php endforeach; ?>

                            </div>
                            <div class="pagination"><div></div></div>
                            <div class="slide-prev"><div></div></div>
                            <div class="slide-next"><div></div></div>
                        
                        </div>
                    </ul>
                </div>

            <?php woocommerce_product_loop_end(); ?>      
            </div>

    	</div>

<?php endif;

wp_reset_postdata();
